﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Anritsu MS2661C (1 yr) Harmonic Dist VER /9640
DATE:                  2007-06-01
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       153
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2661C
#
#  Compatibility:
#        MET/CAL 7.20d or later
#
#  Subprocedures:
#        Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
#        Sub Anritsu MS266x() Take Sweep (MKPK)
#        Sub Anritsu MS266x() Take Sweep Only
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {SECOND HARMONIC DISTORTION}
#34.004  IEEE2        IP
# CAL ALL.
#34.005  IEEE2        [T240000]CAL 0
  1.003  TARGET       -p
  1.004  HEAD         SECOND HARMONIC DISTORTION: 10 MHz fundamental
  1.005  TSET         TDESC = 10 MHz fundamental
  1.006  TSET         NTHROW = 0; NMEAS = 1
  1.007  9640         +Freq = 10 MHz; Level = -30 dBm; OutputImp = 50 Ohms
  1.008  IEEE2        IP;SNGLS;CF 10MHZ;RL -30DBM;AT 0DB
  1.009  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.010  IEEE2        MKTRACK ON;SP 10KHZ
  1.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.012  IEEE2        MKTRACK OFF
# Take a current reading of UUT marker amplitude.
  1.013  IEEE2        MKA?[I]
  1.014  MATH         RefLvl = -30

  1.015  WHILE        (MEM <= -30.05) || (MEM >= -29.95)
  1.016  HEAD         Setting stimulus output level, Please Wait...
  1.017  MATH         RefLvl = -30 + (RefLvl - MEM)
  1.018  9640         +Level = [V RefLvl] dBm; Freq = 10 MHz
  1.018  9640         OutputImp = 50 Ohms
  1.019  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.020  IEEE2        MKA?[I]
  1.021  ENDW

  1.022  HEAD         SECOND HARMONIC DISTORTION: 10 MHz fundamental
# Set marker amplitude to reference level.
  1.023  IEEE2        MKRL
  1.024  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
# Query UUT for marker frequency.
  1.025  IEEE         MKF?[I]
# Store frequency of 2nd harmonic for subsequent use.
  1.026  MATH         HarmTwo = (2 * MEM) / 1E+6
# Turn on delta marker.
  1.027  IEEE2        MKD
  1.028  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Set UUT center frequency to 2nd harmonic of measured fundamental.
  1.029  IEEE2        CF [V HarmTwo]MHZ
# Divide 2nd harmonic by two because the UUT delta marker is used.
  1.030  MATH         @MarkerFreq = (HarmTwo / 2) * 1E+6
  1.031  CALL         Sub Anritsu MS266x() Take Sweep (MKF)
# Measure amplitude at fundamental 2nd harmonic frequency.
  1.032  IEEE2        MKA?[I]

# If measured value is >= -80 dBc, reset reference level and RF attenuation.
  1.033  IF           MEM >= -80
  1.034  IEEE2        RL -50DBM;AT 0DB
  1.035  CALL         Sub Anritsu MS266x() Take Sweep (MKF)
  1.036  IEEE2        MKA?[I]
  1.037  ENDIF

  1.038  ACC          dBc            0.05U
  1.039  MEMCX        -60.0dBc       -70.0U

  2.001  HEAD         SECOND HARMONIC DISTORTION: 1 GHz fundamental

  2.002  DISP         Make the following connections:
  2.002  DISP
  2.002  DISP         [32] Fluke 9640A         to                UUT
  2.002  DISP         [32]  RF OUTPUT ---> LP Filter >---> RF INPUT 50 Ohms
  2.002  DISP
  2.002  DISP         Connect the 9640A-50 Leveling Head to the UUT
  2.002  DISP         RF INPUT 50 Ohms via a 1 GHz Low-Pass Filter.

  2.003  TSET         TDESC = 1 GHz fundamental
  2.004  TSET         NTHROW = 0; NMEAS = 1
  2.005  9640         +Level = -30 dBm; Freq = 1 GHz; OutputImp = 50 Ohms
  2.006  IEEE2        IP;SNGLS;CF 1GHZ;RL -30DBM;AT 0DB
  2.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.008  IEEE2        MKTRACK ON;SP 10KHZ
  2.009  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.010  IEEE2        MKTRACK OFF
# Read displayed UUT marker amplitude.
  2.011  IEEE2        MKA?[I]
  2.012  MATH         RefLvl = -30

  2.013  WHILE        (MEM <= -30.05) || (MEM >= -29.95)
  2.014  HEAD         Setting stimulus output level, Please Wait...
  2.015  MATH         RefLvl = -30 + (RefLvl - MEM)
  2.016  9640         +Level = [V RefLvl] dBm; Freq = 1 GHz
  2.016  9640         OutputImp = 50 Ohms
  2.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.018  IEEE2        MKA?[I]
  2.019  ENDW

  2.020  HEAD         SECOND HARMONIC DISTORTION: 1 GHz fundamental
  2.021  IEEE2        MKRL
  2.022  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
  2.023  IEEE         MKF?[I]
  2.024  MATH         HarmTwo = (2 * MEM) / 1E+9
  2.025  IEEE2        MKD
  2.026  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.027  IEEE2        CF [V HarmTwo]GHZ
  2.028  MATH         @MarkerFreq = (HarmTwo / 2) * 1E+9
  2.029  CALL         Sub Anritsu MS266x() Take Sweep (MKF)
  2.030  IEEE2        MKA?[I]

  2.031  IF           MEM >= -80
  2.032  IEEE2        RL -50DBM;AT 0DB
  2.033  CALL         Sub Anritsu MS266x() Take Sweep (MKF)
  2.034  IEEE2        MKA?[I]
  2.035  ENDIF

  2.036  ACC          dBc            0.5U
  2.037  MEMCX        -80.0dBc       -50.0U

  3.001  9640         Reset
  3.002  IEEE2        *RST
  3.003  END
