﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Anritsu MS2661C (1 yr) Frequency Readout VER /9640
INSTRUMENT:            Sub Anritsu MS2661C (1 yr) Frequency Span VER /9640
INSTRUMENT:            Sub Anritsu MS2661C (1 yr) Sideband Noise VER /9640
INSTRUMENT:            Sub Anritsu MS2661C (1 yr) Frequency Measure VER /9640
INSTRUMENT:            Sub Anritsu MS2661C (1 yr) Freq Response VER /9640
INSTRUMENT:            Sub Anritsu MS2661C (1 yr) Reference Level VER /9640
DATE:                  2007-06-01
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       663
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS2661C
#
#  Compatibility:
#        MET/CAL 7.20d or later
#
#  Subprocedures:
#        Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
#        Sub Anritsu MS266x() Take Sweep (MKPK)
#        Sub Anritsu MS266x() Take Sweep Only
#        Sub Anritsu MS2661 Measure Freq Resp Values /9640
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         FREQ_READOUT                 PSUBI("Readout")
  1.002  JMPL         FREQ_SPAN                    PSUBI("Span")
  1.003  JMPL         NOISE_SIDEBAND               PSUBI("Sideband")
  1.004  JMPL         FREQ_MEASUREMENT             PSUBI("Measure")
  1.005  JMPL         FREQ_RESPONSE                PSUBI("Response")
  1.006  JMPL         REFERENCE_LEVEL              PSUBI("Reference")
  1.007  DISP         {Called subprocedure not found!}
  1.008  END

# ====== Sub Anritsu MS2661C (1 yr) Freq Readout VER /9640 =================

  1.009  LABEL        FREQ_READOUT

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

  1.010  RSLT         =
  1.011  HEAD         {FREQUENCY READOUT ACCURACY}: 500 MHz, 10 kHz Span
# CAL FREQ.
# 1.012  IEEE2        [T240000]CAL 1
  1.012  TARGET       -p
  1.013  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  1.013  9640         +Freq = 500 MHz; Level = -10 dBm
  1.014  IEEE2        IP;SNGLS;CF 500MHZ;RL 0DBM;SP 10MHZ
  1.015  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.016  IEEE2        MKTRACK ON;SP 10KHZ
  1.017  MATH         L[1] = ACCV("Fluke 9640A", "Freq Sine", 500E+6)
  1.018  ACC          500.00000MHz   L1U
  1.019  TARGET       -m
  1.020  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.021  IEEE2        MKF?[I]
  1.022  MATH         MEM = MEM / 1E+6
  1.023  MEMCX        500.00000MHz   0.00034U

  2.001  HEAD         FREQUENCY READOUT ACCURACY: 500 MHz, 200 kHz Span
  2.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  2.002  9640         +Freq = 500 MHz; Level = -10 dBm
  2.003  IEEE2        IP;SNGLS;CF 500MHZ;RL 0DBM;SP 10MHZ
  2.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.005  IEEE2        MKTRACK ON;SP 200KHZ
  2.006  MATH         L[1] = ACCV("Fluke 9640A", "Freq Sine", 500E+6)
  2.007  ACC          500.0000MHz    L1U
  2.008  TARGET       -m
  2.009  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.010  IEEE2        MKF?[I]
  2.011  MATH         MEM = MEM / 1E+6
  2.012  MEMCX        500.0000MHz    0.0048U

  3.001  HEAD         FREQUENCY READOUT ACCURACY: 500 MHz, 100 MHz Span
  3.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  3.002  9640         +Freq = 500 MHz; Level = -10 dBm
  3.003  IEEE2        IP;SNGLS;CF 500MHZ;RL 0DBM;SP 100MHZ
  3.004  MATH         L[1] = ACCV("Fluke 9640A", "Freq Sine", 500E+6)
  3.005  ACC          500.0MHz       L1U
  3.006  TARGET       -m
  3.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  3.008  IEEE2        MKF?[I]
  3.009  MATH         MEM = MEM / 1E+6
  3.010  MEMCX        500.0MHz       2.4U

  4.001  9640         Reset
  4.002  IEEE2        *RST
  4.003  END

  4.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661C (1 yr) Frequency Span VER /9640 ===============

  5.001  LABEL        FREQ_SPAN

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

  5.002  RSLT         =
  5.003  HEAD         {FREQUENCY SPAN READOUT ACCURACY}: 20 kHz Span
  5.004  TARGET       -p
  5.005  TSET         TDESC = 20 kHz
# Setup UUT.
  5.006  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  5.007  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  5.007  9640         +Freq = 1000 MHz; Level = 0 dBm
  5.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  5.009  IEEE2        MKTRACK ON;SP 20KHZ
  5.010  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Turn Signal Track off.
  5.011  IEEE2        MKTRACK OFF
  5.012  TARGET       -m
  5.013  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  5.013  9640         +Freq = 999.992 MHz; Level = 0 dBm
# Store Instrument Name in Model, Mode String in Mode.
  5.014  MATH         Model = "Fluke 9640A"; Mode = "Freq Sine"
# Retrieve confidence from 3335A accuracy file.
  5.015  MATH         Conf = CONF("Fluke 9640A")
# Retrieve 9640A accuracy (assumes standard instrument) at first frequency.
  5.016  MATH         Span1Unc = ACCV(Model, Mode, 999.992E+6) / Conf
# Take two sweeps, peak search.
  5.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Take first frequency reading.
  5.018  IEEE2        MKF?[I]
# Store reading in Span1.
  5.019  MATH         Span1 = MEM
# Set signal source to output second desired frequency, level.
  5.020  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  5.020  9640         +Freq = 1000.008 MHz; Level = 0 dBm
# Retrieve 9640A accuracy (assumes standard instrument) at first frequency.
  5.021  MATH         Span2Unc = ACCV(Model, Mode, 1000.008E+6) / Conf
# Take two sweeps, peak search.
  5.022  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Take second frequency reading.
  5.023  IEEE2        MKF?[I]
# Compute difference and convert to equivalent 10 division span.
  5.024  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+3
# Combine 9640A uncertainties, expand, divide by 1E+6 for proper decimal.
  5.025  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+3
  5.026  ACC          20.00kHz       L1U
  5.027  MEMCX        20.00kHz       0.50U

  6.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 200 kHz Span
  6.002  TSET         TDESC = 200 kHz
  6.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  6.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  6.004  9640         +Freq = 1000 MHz; Level = 0 dBm
  6.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.006  IEEE2        MKTRACK ON;SP 200KHZ
  6.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.008  IEEE2        MKTRACK OFF
  6.009  TARGET       -m
  6.010  9640         +Freq = 999.92 MHz; Level = 0 dBm; OutputImp = 50 Ohms
  6.010  9640         RefFreqOutp = 10 MHz
  6.011  MATH         Span1Unc = ACCV(Model, Mode, 999.92E+6) / Conf
  6.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.013  IEEE2        MKF?[I]
  6.014  MATH         Span1 = MEM
  6.015  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  6.015  9640         +Freq = 1000.08 MHz; Level = 0 dBm
  6.016  MATH         Span2Unc = ACCV(Model, Mode, 1000.08E+6) / Conf
  6.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.018  IEEE2        MKF?[I]
  6.019  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+3
  6.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+3
  6.021  ACC          200.0kHz       L1U
  6.022  MEMCX        200.0kHz       5.0U

  7.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 2 MHz Span
  7.002  TSET         TDESC = 2 MHz
  7.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  7.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  7.004  9640         +Freq = 1000 MHz; Level = 0 dBm
  7.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.006  IEEE2        MKTRACK ON;SP 2MHZ
  7.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.008  IEEE2        MKTRACK OFF
  7.009  TARGET       -m
  7.010  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  7.010  9640         +Freq = 999.2 MHz; Level = 0 dBm
  7.011  MATH         Span1Unc = ACCV(Model, Mode, 999.2E+6) / Conf
  7.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.013  IEEE2        MKF?[I]
  7.014  MATH         Span1 = MEM
  7.015  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  7.015  9640         +Freq = 1000.8 MHz; Level = 0 dBm
  7.016  MATH         Span2Unc = ACCV(Model, Mode, 1000.8E+6) / Conf
  7.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.018  IEEE2        MKF?[I]
  7.019  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+6
  7.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
  7.021  ACC          2.000MHz       L1U
  7.022  MEMCX        2.000MHz       0.050U

  8.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 10 MHz Span
  8.002  TSET         TDESC = 10 MHz
  8.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  8.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  8.004  9640         +Freq = 1000 MHz; Level = 0 dBm
  8.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.006  IEEE2        MKTRACK ON
  8.007  WAIT         [D2000]
  8.008  IEEE2        MKTRACK OFF
  8.009  TARGET       -m
  8.010  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  8.010  9640         +Freq = 996 MHz; Level = 0 dBm
  8.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.012  MATH         Span1Unc = ACCV(Model, Mode, 996E+6) / Conf
  8.013  IEEE2        MKF?[I]
  8.014  MATH         Span1 = MEM
  8.015  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  8.015  9640         +Freq = 1004 MHz; Level = 0 dBm
  8.016  MATH         Span2Unc = ACCV(Model, Mode, 1004E+6) / Conf
  8.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.018  IEEE2        MKF?[I]
  8.019  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+6
  8.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
  8.021  ACC          10.000MHz      L1U
  8.022  MEMCX        10.000MHz      0.250U

  9.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 100 MHz Span
  9.002  TSET         TDESC = 100 MHz
  9.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 10MHZ;RL 0DB;AT 10DB
  9.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  9.004  9640         +Freq = 1000 MHz; Level = 0 dBm
  9.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  9.006  IEEE2        MKTRACK ON;SP 100MHZ
  9.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  9.008  IEEE2        MKTRACK OFF
  9.009  TARGET       -m
  9.010  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  9.010  9640         +Freq = 960 MHz; Level = 0 dBm
  9.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  9.012  MATH         Span1Unc = ACCV(Model, Mode, 960E+6) / Conf
  9.013  IEEE2        MKF?[I]
  9.014  MATH         Span1 = MEM
  9.015  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  9.015  9640         +Freq = 1040 MHz; Level = 0 dBm
  9.016  MATH         Span2Unc = ACCV(Model, Mode, 1040E+6) / Conf
  9.017  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  9.018  IEEE2        MKF?[I]
  9.019  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+6
  9.020  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+6
  9.021  ACC          100.00MHz      L1U
  9.022  MEMCX        100.00MHz      2.50U

 10.001  HEAD         FREQUENCY SPAN READOUT ACCURACY: 2 GHz Span
 10.002  TSET         TDESC = 2 GHz
 10.003  IEEE2        IP;SNGLS;CF 1000MHZ;SP 2GHZ;RL 0DB;AT 10DB
 10.004  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 10.004  9640         +Freq = 1000 MHz; Level = 0 dBm
 10.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.006  TARGET       -m
 10.007  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 10.007  9640         +Freq = 200 MHz; Level = 0 dBm
 10.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.009  MATH         Span1Unc = ACCV(Model, Mode, 200E+6) / Conf
 10.010  IEEE2        MKF?[I]
 10.011  MATH         Span1 = MEM
 10.012  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 10.012  9640         +Freq = 1800 MHz; Level = 0 dBm
 10.013  MATH         Span2Unc = ACCV(Model, Mode, 1800E+6) / Conf
 10.014  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.015  IEEE2        MKF?[I]
 10.016  MATH         MEM = ((MEM - Span1) / 0.8) / 1E+9
 10.017  MATH         L[1] = ((RSS2(Span1Unc, Span2Unc)) * 2) / 1E+9
 10.018  ACC          2.000GHz       L1U
 10.019  MEMCX        2.000GHz       0.050U

 11.001  9640         Reset
 11.002  IEEE2        *RST
 11.003  END

 11.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661C (1 yr) Sideband Noise VER /9640 ===============

 12.001  LABEL        NOISE_SIDEBAND

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 12.002  RSLT         =
 12.003  HEAD         {SIDEBAND PHASE NOISE}
# 1.012  IEEE2        IP
# CAL ALL.
# 1.013  IEEE2        [T240000]CAL 0
 12.004  TARGET       -p
 12.005  9640         RefFreqOutp = 10 MHz; OutpImp = 50 Ohms
 12.005  9640         +Freq = 1000 MHz; Level = 0 dBm
# Setup UUT.
 12.006  IEEE2        IP;SNGLS;CF 1.00001GHZ;SP 25KHZ;RL 0DBM;AT 10DB
 12.007  IEEE2        RB 1KHZ;VB 10HZ;DET SMP
 12.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 12.009  IEEE2        MKRL
 12.010  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Set marker zone width to Spot, delta marker on, 10 kHz offset.
 12.011  IEEE2        MKW 1;MKD;MKZF 10KHZ
# Turn noise measure on, select carrier ratio function.
 12.012  IEEE2        MEAS NOISE,ON;MNOISE CN
 12.013  TARGET       -m
 12.014  CALL         Sub Anritsu MS266x() Take Sweep Only
 12.015  IEEE2        RES?[I]
 12.016  MEMCX        -100.00dBc     -30.00U

 13.001  9640         Reset
 13.002  IEEE2        *RST
 13.003  END

 13.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661C (1 yr) Frequency Measure VER /9640 ============

 14.001  LABEL        FREQ_MEASUREMENT

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 14.002  RSLT         =
 14.003  HEAD         {FREQUENCY MEASUREMENT ACCURACY} (50 kHz Span)
#38.004  IEEE2        IP
#38.005  IEEE2        [T45000]CAL 1
 14.004  TSET         TDESC = 1 Hz Resolution
 14.005  TARGET       -p
# Set signal source to output desired frequency, level, RF on.
 14.006  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 14.006  9640         +Freq = 500 MHz; Level = -10 dBm
# Set UUT to desired center frequency, span, input attenuation.
 14.007  IEEE2        IP;SNGLS;CF 500MHZ;SP 50KHZ
# Get HP 8340 configured instrument name.
 14.008  MATH         Model = "Fluke 9640A"; Mode = "Freq Sine"
# Retrieve SWPG frequency accuracy.
 14.009  MATH         FreqAcc = ACCV(Model, Mode, 500E+6)
# Divide by 1E+6 to properly place decimal.
 14.010  MATH         L[1] = FreqAcc / 1E+6
 14.011  IEEE2        MEAS FREQ,ON;MKFCR 1HZ
 14.012  TARGET       -m
 14.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 14.014  IEEE2        RES?[I]
 14.015  MATH         MEM = MEM / 1E+6
 14.016  ACC          500.0000000MHz L1U
 14.017  MEMCX        500.0000000MHz 0.0000010U

 15.001  TSET         TDESC = 10 Hz Resolution
 15.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 15.002  9640         +Freq = 500 MHz; Level = -10 dBm
 15.003  IEEE2        IP;SNGLS;CF 500MHZ;SP 50KHZ
 15.004  IEEE2        MEAS FREQ,ON;MKFCR 10HZ
 15.005  TARGET       -m
 15.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 15.007  IEEE2        RES?[I]
 15.008  MATH         MEM = MEM / 1E+6
 15.009  ACC          500.000000MHz  L1U
 15.010  MEMCX        500.000000MHz  0.000010U

 16.001  TSET         TDESC = 100 Hz Resolution
 16.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 16.002  9640         +Freq = 500 MHz; Level = -10 dBm
 16.003  IEEE2        IP;SNGLS;CF 500MHZ;SP 50KHZ
 16.004  IEEE2        MEAS FREQ,ON;MKFCR 100HZ
 16.005  TARGET       -m
 16.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 16.007  IEEE2        RES?[I]
 16.008  MATH         MEM = MEM / 1E+6
 16.009  ACC          500.00000MHz   L1U
 16.010  MEMCX        500.00000MHz   0.00010U

 17.001  TSET         TDESC = 1 kHz Resolution
 17.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 17.002  9640         +Freq = 500 MHz; Level = -10 dBm
 17.003  IEEE2        IP;SNGLS;CF 500MHZ;SP 50KHZ
 17.004  IEEE2        MEAS FREQ,ON;MKFCR 1KHZ
 17.005  TARGET       -m
 17.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 17.007  IEEE2        RES?[I]
 17.008  MATH         MEM = MEM / 1E+6
 17.009  ACC          500.0000MHz    L1U
 17.010  MEMCX        500.0000MHz    0.0010U

 18.001  9640         Reset
 18.002  IEEE2        *RST
 18.003  END

 18.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661C (1 yr) Freq Response VER /9640 ================

 19.001  LABEL        FREQ_RESPONSE

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 19.002  RSLT         =
 19.003  HEAD         {FREQUENCY RESPONSE}
#43.004  IEEE2        IP
# CAL ALL.
#43.005  IEEE2        [T240000]CAL 0
 19.004  TARGET       -p
 19.005  TSET         TDESC = 100 MHz to 3 GHz
 19.006  TSET         NTHROW = 0; NMEAS = 1

 19.007  HEAD         FREQUENCY RESPONSE TEST
 19.008  9640         +Level = -10 dBm; Freq = 100 MHz; OutputImp = 50 Ohms
 19.009  IEEE2        IP;SNGLS;CF 100MHZ;SP 10MHZ;RL -10DB;LG 1DB
 19.010  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 19.011  IEEE2        MKTRACK ON;SP 200KHZ
 19.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
# Take a current reading of UUT marker amplitude.
 19.013  IEEE2        MKA?[I]
# Set initial 9640A output level.
 19.014  MATH         @RefLvl = -10

 19.015  WHILE        (MEM <= -10.05) || (MEM >= -9.95)
 19.016  MATH         @RefLvl = -10 + (@RefLvl - MEM)
 19.017  9640         OutputImp = 50 Ohms
 19.017  9640         +Level = [V @RefLvl] dBm; Freq = 100 MHz
 19.018  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 19.019  IEEE2        MKA?[I]
 19.020  ENDW

 19.021  HEAD         FREQUENCY RESPONSE TEST: 200 MHz
 19.022  IEEE2        MKD
 19.023  TARGET       -m
 19.024  MATH         @TestFreq = 200E+6
# Intialize variables.
 19.025  MATH         @PosPeak = 0; @NegPeak = 0
 19.026  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

 19.027  HEAD         FREQUENCY RESPONSE TEST: 500 MHz
 19.028  MATH         @TestFreq = 500E+6
 19.029  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

 19.030  HEAD         FREQUENCY RESPONSE TEST: 1 GHz
 19.031  MATH         @TestFreq = 1E+9
 19.032  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

 19.033  HEAD         FREQUENCY RESPONSE TEST: 1.5 GHz
 19.034  MATH         @TestFreq = 1.5E+9
 19.035  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

 19.036  HEAD         FREQUENCY RESPONSE TEST: 2 GHz
 19.037  MATH         @TestFreq = 2E+9
 19.038  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

 19.039  HEAD         FREQUENCY RESPONSE TEST: 2.5 GHz
 19.040  MATH         @TestFreq = 2.5E+9
 19.041  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

 19.042  HEAD         FREQUENCY RESPONSE TEST: 3 GHz
 19.043  MATH         @TestFreq = 3E+9
 19.044  CALL         Sub Anritsu MS2661 Measure Freq Resp Values /9640

 19.045  ACC          0.00dB         0.30U
 19.046  MATH         MEM = @PosPeak - @NegPeak
 19.047  MEMCX        0.00dB         1.50U

 20.001  9640         Reset
 20.002  IEEE2        *RST
 20.003  END

 20.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661C (1 yr) Reference Level VER /9640 ==============

 21.001  LABEL        REFERENCE_LEVEL

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 21.002  RSLT         =
 21.003  HEAD         {REFERENCE LEVEL ACCURACY}: Reference Set
 21.004  TARGET       -p
#29.005  IEEE2        IP
# CAL ALL.
#29.006  IEEE2        [T240000]CAL 0
 21.005  9640         +Level = 0 dBm; Freq = 100 MHz; OutputImp = 50 Ohms
 21.006  IEEE2        IP;SNGLS;RL 0DBM;CF 100MHZ;SP 1MHZ
 21.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 21.008  IEEE2        MKA?[I]
# Initial 9640A amplitude setting.
 21.009  MATH         RefLvl = 0

 21.010  WHILE        (MEM <= -0.05) || (MEM >= 0.05)
 21.011  HEAD         Setting stimulus output level, Please Wait...
 21.012  MATH         RefLvl = RefLvl - MEM
 21.013  9640         +Level = [V RefLvl] dBm; Freq = 100 MHz
 21.013  9640         OutputImp = 50 Ohms
 21.014  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 21.015  IEEE2        MKA?[I]
 21.016  ENDW

 21.017  HEAD         REFERENCE LEVEL ACCURACY: -10 dBm
 21.018  TSET         TDESC = -10 dBm
 21.019  MATH         Model = "Fluke 9640A"; Mode = "Atten dB 50 Abs"
# 9640A specification at relative attenuation reference level.
 21.020  MATH         RefAcc = ACCV2(Model, Mode, RefLvl, 50E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
 21.021  MATH         RefUnc = (DBTOPCTW_D(RefAcc)) / CONF(Model)
 21.022  IEEE2        MKD
 21.023  IEEE2        RL -10DBM
 21.024  MATH         TestLvl = RefLvl - 10
 21.025  9640         OutputImp = 50 Ohms
 21.025  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
# Normalized 9640A uncertainty at relative attenuation test level.
 21.026  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
 21.027  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
# Normalized UUT specification for Marker Readout Resolution.
 21.028  MATH         UUT = (10^(((0.05/ SQRT(3)) / 10)) - 1) * 100
# Combined, expanded, and linearized uncertainty.
 21.029  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
# Convert linear uncertainty back to dB.
 21.030  MATH         L[1] = PCTTODBW_D(TotalUnc)
 21.031  ACC          -10.00dB       L1U
 21.032  TARGET       -m
 21.033  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 21.034  IEEE2        MKA?[I]
 21.035  MEMCX  90    -10.00dB       0.40U

 22.001  HEAD         REFERENCE LEVEL ACCURACY: -20 dBm
 22.002  TSET         TDESC = -20 dBm
 22.003  IEEE2        RL -20DBM
 22.004  MATH         TestLvl = RefLvl - 20
 22.005  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 22.005  9640         OutputImp = 50 Ohms
 22.006  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 22.007  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 22.008  MATH         UUT = (10^(((0.05/ SQRT(3)) / 10)) - 1) * 100
 22.009  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 22.010  MATH         L[1] = PCTTODBW_D(TotalUnc)
 22.011  ACC          -20.00dB       L1U
 22.012  TARGET       -m
 22.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 22.014  IEEE2        MKA?[I]
 22.015  MEMCX  90    -20.00dB       0.40U

 23.001  HEAD         REFERENCE LEVEL ACCURACY: -30 dBm
 23.002  TSET         TDESC = -30 dBm
 23.003  IEEE2        RL -30DBM
 23.004  MATH         TestLvl = RefLvl - 30
 23.005  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 23.005  9640         OutputImp = 50 Ohms
 23.006  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 23.007  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 23.008  MATH         UUT = (10^(((0.05/ SQRT(3)) / 10)) - 1) * 100
 23.009  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 23.010  MATH         L[1] = PCTTODBW_D(TotalUnc)
 23.011  ACC          -30.00dB       L1U
 23.012  TARGET       -m
 23.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 23.014  IEEE2        MKA?[I]
 23.015  MEMCX  90    -30.00dB       0.40U

 24.001  HEAD         REFERENCE LEVEL ACCURACY: -40 dBm
 24.002  TSET         TDESC = -40 dBm
 24.003  IEEE2        RL -40DBM
 24.004  MATH         TestLvl = RefLvl - 40
 24.005  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 24.005  9640         OutputImp = 50 Ohms
 24.006  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 24.007  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 24.008  MATH         UUT = (10^(((0.05/ SQRT(3)) / 10)) - 1) * 100
 24.009  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 24.010  MATH         L[1] = PCTTODBW_D(TotalUnc)
 24.011  ACC          -40.00dB       L1U
 24.012  TARGET       -m
 24.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 24.014  IEEE2        MKA?[I]
 24.015  MEMCX  90    -40.00dB       0.40U

 25.001  HEAD         REFERENCE LEVEL ACCURACY: -50 dBm
 25.002  TSET         TDESC = -50 dBm
 25.003  IEEE2        RL -50DBM
 25.004  MATH         TestLvl = RefLvl - 50
 25.005  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 25.005  9640         OutputImp = 50 Ohms
 25.006  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 25.007  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 25.008  MATH         UUT = (10^(((0.05/ SQRT(3)) / 10)) - 1) * 100
 25.009  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 25.010  MATH         L[1] = PCTTODBW_D(TotalUnc)
 25.011  ACC          -50.00dB       L1U
 25.012  TARGET       -m
 25.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 25.014  IEEE2        MKA?[I]
 25.015  MEMCX  90    -50.00dB       0.75U

 26.001  HEAD         REFERENCE LEVEL ACCURACY: -60 dBm
 26.002  TSET         TDESC = -60 dBm
 26.003  IEEE2        RL -60DBM
 26.004  MATH         TestLvl = RefLvl - 60
 26.005  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 26.005  9640         OutputImp = 50 Ohms
 26.006  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 26.007  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 26.008  MATH         UUT = (10^(((0.05/ SQRT(3)) / 10)) - 1) * 100
 26.009  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 26.010  MATH         L[1] = PCTTODBW_D(TotalUnc)
 26.011  ACC          -60.00dB       L1U
 26.012  TARGET       -m
 26.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 26.014  IEEE2        MKA?[I]
 26.015  MEMCX  90    -60.00dB       0.75U

 27.001  HEAD         REFERENCE LEVEL ACCURACY: -70 dBm
 27.002  TSET         TDESC = -70 dBm
 27.003  IEEE2        RL -70DBM
 27.004  MATH         TestLvl = RefLvl - 70
 27.005  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 27.005  9640         OutputImp = 50 Ohms
 27.006  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 27.007  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 27.008  MATH         UUT = (10^(((0.05/ SQRT(3)) / 10)) - 1) * 100
 27.009  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 27.010  MATH         L[1] = PCTTODBW_D(TotalUnc)
 27.011  ACC          -70.00dB       L1U
 27.012  TARGET       -m
 27.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 27.014  IEEE2        MKA?[I]
 27.015  MEMCX  90    -70.00dB       1.50U

 28.001  HEAD         REFERENCE LEVEL ACCURACY: -80 dBm
 28.002  TSET         TDESC = -80 dBm
 28.003  IEEE2        RL -80DBM
 28.004  MATH         TestLvl = RefLvl - 80
 28.005  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 28.005  9640         OutputImp = 50 Ohms
 28.006  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 28.007  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 28.008  MATH         UUT = (10^(((0.05/ SQRT(3)) / 10)) - 1) * 100
 28.009  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 28.010  MATH         L[1] = PCTTODBW_D(TotalUnc)
 28.011  ACC          -80.00dB       L1U
 28.012  TARGET       -m
 28.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 28.014  IEEE2        MKA?[I]
 28.015  MEMCX  90    -80.00dB       1.50U

 29.001  9640         Reset
 29.002  IEEE2        *RST
 29.003  END
