﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Anritsu MS266xC (1 yr) RBW Accuracy VER /9640
INSTRUMENT:            Sub Anritsu MS266xC (1 yr) Scale Linearity VER /9640
INSTRUMENT:            Sub Anritsu MS266xC (1 yr) RBW Switching VER /9640
INSTRUMENT:            Sub Anritsu MS266xC (1 yr) RF Switching VER /9640
INSTRUMENT:            Sub Anritsu MS266xC (1 yr) Sweep Time VER /9640
DATE:                  2007-06-01
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       55
NUMBER OF LINES:       991
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        MS266xC (not applicable to MS2661N)
#
#  Compatibility:
#        MET/CAL 7.20d or later
#
#  Subprocedures:
#        Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
#        Sub Anritsu MS266x() Take Sweep (MKPK)
#        Sub Anritsu MS266x() Take Sweep Only
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         RBW_ACCURACY                 PSUBI("RBW Accuracy")
  1.002  JMPL         SCALE_FIDELITY               PSUBI("Linearity")
  1.003  JMPL         RBW_SWITCHING                PSUBI("RBW Switching")
  1.004  JMPL         RF_SWITCHING                 PSUBI("RF Switching")
  1.005  JMPL         SWEEP_TIME                   PSUBI("Sweep Time")
  1.006  DISP         {Called subprocedure not found!}
  1.007  END

# ====== Sub Anritsu MS266xC (1 yr) RBW Accuracy VER /9640 =================

  1.008  LABEL        RBW_ACCURACY

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

  1.009  RSLT         =
  1.010  HEAD         {RESOLUTION BANDWIDTH ACCURACY and SELECTIVITY}
  1.011  RSLT         =
  1.012  RSLT         =Resolution Bandwidth Accuracy
  1.013  TARGET       -p
  1.014  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  1.014  9640         +Freq = 100 MHz; Level = -10 dBm
  1.015  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 10MHZ;RB 3MHZ;LG 1DB
# UUT takes two sweeps and sets the marker to the high peak.
  1.016  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.017  IEEE2        MKA?[I]
  1.018  MATH         RefLvl = -10

  1.019  WHILE        (MEM <= -10.05) || (MEM >= -9.95)
  1.020  HEAD         Setting stimulus output level, Please Wait...
  1.021  MATH         RefLvl = -10 + (RefLvl - MEM)
  1.022  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  1.022  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
  1.023  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  1.024  IEEE2        MKA?[I]
  1.025  ENDW

  1.026  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 3 MHz
# Marker to reference level, measurement BW to -3 dB, measure mode to dB down.
  1.027  IEEE2        MKRL;OBWXDB 3;MOBW XDB
  1.028  TARGET       -m
  1.029  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Execute BW measurement and query results.
  1.030  IEEE2        MEAS OBW,EXE;RES?[I$]
# Extract measured BW from returned string.
  1.031  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+6
  1.032  MATH         RBW_3MHz_3dB = MEM
# UUT Occ BW function used. Factory "shipment inspection" specification is
# ±3%, according to Anritsu sources, though not published.
  1.033  ACC    3     MHz            3%
  1.034  MEMCX        3.00MHz        30%

  2.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 1 MHz
  2.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  2.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
  2.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 5MHZ;RB 1MHZ;LG 1DB
  2.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
  2.006  TARGET       -m
  2.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  2.008  IEEE2        MEAS OBW,EXE;RES?[I$]
  2.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+6
  2.010  MATH         RBW_1MHz_3dB = MEM
  2.011  ACC    1     MHz            3%
  2.012  MEMCX        1.00MHz        20%

  3.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 300 kHz
  3.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
  3.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  3.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 500KHZ;RB 300KHZ;LG 1DB
  3.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  3.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
  3.006  TARGET       -m
  3.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  3.008  IEEE2        MEAS OBW,EXE;RES?[I$]
  3.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
  3.010  MATH         RBW_300kHz_3dB = MEM
  3.011  ACC    300   kHz            3%
  3.012  MEMCX        300kHz         20%

  4.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 100 kHz
  4.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
  4.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  4.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 200KHZ;RB 100KHZ;LG 1DB
  4.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  4.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
  4.006  TARGET       -m
  4.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  4.008  IEEE2        MEAS OBW,EXE;RES?[I$]
  4.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
  4.010  MATH         RBW_100kHz_3dB = MEM
  4.011  ACC    100   kHz            3%
  4.012  MEMCX        100kHz         20%

  5.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 30 kHz
  5.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
  5.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  5.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 50KHZ;RB 30KHZ;LG 1DB
  5.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  5.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
  5.006  TARGET       -m
  5.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  5.008  IEEE2        MEAS OBW,EXE;RES?[I$]
  5.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
  5.010  MATH         RBW_30kHz_3dB = MEM
  5.011  ACC    30    kHz            3%
  5.012  MEMCX        30.0kHz        20%

  6.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 10 kHz
  6.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
  6.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  6.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 20KHZ;RB 10KHZ;LG 1DB
  6.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
  6.006  TARGET       -m
  6.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  6.008  IEEE2        MEAS OBW,EXE;RES?[I$]
  6.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
  6.010  MATH         RBW_10kHz_3dB = MEM
  6.011  ACC    10    kHz            3%
  6.012  MEMCX        10.0kHz        20%

  7.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 3 kHz
  7.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
  7.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  7.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 5KHZ;RB 3KHZ;LG 1DB
  7.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
  7.006  TARGET       -m
  7.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  7.008  IEEE2        MEAS OBW,EXE;RES?[I$]
  7.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
  7.010  MATH         RBW_3kHz_3dB = MEM
  7.011  ACC    3     kHz            3%
  7.012  MEMCX        3.00kHz        20%

  8.001  HEAD         RESOLUTION BANDWIDTH ACCURACY TEST : 1 kHz
  8.002  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
  8.002  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
  8.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 2KHZ;RB 1KHZ;LG 1DB
  8.004  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.005  IEEE2        MKRL;OBWXDB 3;MOBW XDB
  8.006  TARGET       -m
  8.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
  8.008  IEEE2        MEAS OBW,EXE;RES?[I$]
  8.009  MATH         MEM = (FLD(MEM2, 1, ",")) / 1E+3
  8.010  MATH         RBW_1kHz_3dB = MEM
  8.011  ACC    1     kHz            3%
  8.012  MEMCX        1.00kHz        20%

  9.001  9640         Reset
  9.002  IEEE2        *RST

  9.003  RSLT         =
  9.004  RSLT         =Resolution Bandwidth Selectivity

  9.005  HEAD         RESOLUTION BANDWIDTH SELECTIVITY TEST : 3 MHz
  9.006  TARGET       -p
  9.007  9640         +Freq = 100 MHz; Level = -10 dBm; OutputImp = 50 Ohms
  9.008  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 100MHZ;RB 3MHZ;VB 100HZ
# Set marker zone width to 1 div., y-axis to 10 dB/div.
  9.009  IEEE2        MKW 5;LG 10DB
# UUT takes two sweeps and sets the marker to the high peak.
  9.010  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Marker to reference level, measurement BW to -60 dB, mode to dB down.
  9.011  IEEE2        MKRL;OBWXDB 60;MOBW XDB
  9.012  TARGET       -m
  9.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
# Execute BW measurement and query results.
  9.014  IEEE2        MEAS OBW,EXE;RES?[I$]
# Extract measured BW from returned string and divide by stored 3 dB BW.
  9.015  MATH         MEM = ((FLD(MEM2, 1, ",")) / 1E+6) / RBW_3MHz_3dB
  9.016  EVAL   -e    MEM <= 15 :[32]3 MHz <=15:1

 10.001  HEAD         RESOLUTION BANDWIDTH SELECTIVITY TEST : 1 MHz
 10.002  9640         +Freq = 100 MHz; Level = -10 dBm; OutputImp = 50 Ohms
 10.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 20MHZ;RB 1MHZ;VB 100HZ
 10.004  IEEE2        MKW 5;LG 10DB
 10.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.006  IEEE2        MKRL;OBWXDB 60;MOBW XDB
 10.007  TARGET       -m
 10.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 10.009  IEEE2        MEAS OBW,EXE;RES?[I$]
 10.010  MATH         MEM = ((FLD(MEM2, 1, ",")) / 1E+6) / RBW_1MHz_3dB
 10.011  EVAL   -e    MEM <= 15 :[32]1 MHz <=15:1

 11.001  HEAD         RESOLUTION BANDWIDTH SELECTIVITY TEST : 300 kHz
 11.002  9640         +Freq = 100 MHz; Level = -10 dBm; OutputImp = 50 Ohms
 11.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 10MHZ;RB 300KHZ;VB 100HZ
 11.004  IEEE2        MKW 5;LG 10DB
 11.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 11.006  IEEE2        MKRL;OBWXDB 60;MOBW XDB
 11.007  TARGET       -m
 11.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 11.009  IEEE2        MEAS OBW,EXE;RES?[I$]
 11.010  MATH         MEM = ((FLD(MEM2, 1, ",")) / 1E+3) / RBW_300kHz_3dB
 11.011  EVAL   -e    MEM <= 15 :[32]300 kHz <=15:1

 12.001  HEAD         RESOLUTION BANDWIDTH SELECTIVITY TEST : 100 kHz
 12.002  9640         +Freq = 100 MHz; Level = -10 dBm; OutputImp = 50 Ohms
 12.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 5MHZ;RB 100KHZ;VB 100HZ
 12.004  IEEE2        MKW 5;LG 10DB
 12.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 12.006  IEEE2        MKRL;OBWXDB 60;MOBW XDB
 12.007  TARGET       -m
 12.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 12.009  IEEE2        MEAS OBW,EXE;RES?[I$]
 12.010  MATH         MEM = ((FLD(MEM2, 1, ",")) / 1E+3) / RBW_100kHz_3dB
 12.011  EVAL   -e    MEM <= 15 :[32]100 kHz <=15:1

 13.001  HEAD         RESOLUTION BANDWIDTH SELECTIVITY TEST : 30 kHz
 13.002  9640         +Freq = 100 MHz; Level = -10 dBm; OutputImp = 50 Ohms
 13.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 1MHZ;RB 30KHZ;VB 100HZ
 13.004  IEEE2        MKW 5;LG 10DB
 13.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 13.006  IEEE2        MKRL;OBWXDB 60;MOBW XDB
 13.007  TARGET       -m
 13.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 13.009  IEEE2        MEAS OBW,EXE;RES?[I$]
 13.010  MATH         MEM = ((FLD(MEM2, 1, ",")) / 1E+3) / RBW_30kHz_3dB
 13.011  EVAL   -e    MEM <= 15 :[32]30 kHz <=15:1

 14.001  HEAD         RESOLUTION BANDWIDTH SELECTIVITY TEST : 10 kHz
 14.002  9640         +Freq = 100 MHz; Level = -10 dBm; OutputImp = 50 Ohms
 14.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 200KHZ;RB 10KHZ;VB 100HZ
 14.004  IEEE2        MKW 5;LG 10DB
 14.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 14.006  IEEE2        MKRL;OBWXDB 60;MOBW XDB
 14.007  TARGET       -m
 14.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 14.009  IEEE2        MEAS OBW,EXE;RES?[I$]
 14.010  MATH         MEM = ((FLD(MEM2, 1, ",")) / 1E+3) / RBW_10kHz_3dB
 14.011  EVAL   -e    MEM <= 15 :[32]10 kHz <=15:1

 15.001  HEAD         RESOLUTION BANDWIDTH SELECTIVITY TEST : 3 kHz
 15.002  9640         +Freq = 100 MHz; Level = -10 dBm; OutputImp = 50 Ohms
 15.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 100KHZ;RB 3KHZ;VB 100HZ
 15.004  IEEE2        MKW 5;LG 10DB
 15.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 15.006  IEEE2        MKRL;OBWXDB 60;MOBW XDB
 15.007  TARGET       -m
 15.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 15.009  IEEE2        MEAS OBW,EXE;RES?[I$]
 15.010  MATH         MEM = ((FLD(MEM2, 1, ",")) / 1E+3) / RBW_3kHz_3dB
 15.011  EVAL   -e    MEM <= 15 :[32]3 kHz <=15:1

 16.001  HEAD         RESOLUTION BANDWIDTH SELECTIVITY TEST : 1 kHz
 16.002  9640         +Freq = 100 MHz; Level = -10 dBm; OutputImp = 50 Ohms
 16.003  IEEE2        IP;SNGLS;CF 100MHZ;RL -10DBM;SP 50KHZ;RB 1KHZ;VB 100HZ
 16.004  IEEE2        MKW 5;LG 10DB
 16.005  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 16.006  IEEE2        MKRL;OBWXDB 60;MOBW XDB
 16.007  TARGET       -m
 16.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 16.009  IEEE2        MEAS OBW,EXE;RES?[I$]
 16.010  MATH         MEM = ((FLD(MEM2, 1, ",")) / 1E+3) / RBW_1kHz_3dB
 16.011  EVAL   -e    MEM <= 15 :[32]1 kHz <=15:1

 17.001  9640         Reset
 17.002  IEEE2        *RST
 17.003  END

 17.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS266xC (1 yr) Scale Linearity VER /9640 ==============

 18.001  LABEL        SCALE_FIDELITY

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 18.002  RSLT         =
 18.003  HEAD         {AMPLITUDE DISPLAY LINEARITY}
# 3.004  IEEE2        IP
# CAL ALL.
# 3.005  IEEE2        [T240000]CAL 0
 18.004  TARGET       -p
 18.005  9640         +Level = 0 dBm; Freq = 100 MHz; OutpImp = 50 Ohms
 18.006  IEEE2        IP;SNGLS
 18.006  IEEE2        CF 100MHZ;SP 10KHZ;RL 0DBM;AT 10DB;RB 3KHZ;VB 300HZ
 18.007  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 18.008  IEEE2        MKA?[I]
# Initial 9640A amplitude setting.
 18.009  MATH         RefLvl = 0

 18.010  WHILE        (MEM <= -0.05) || (MEM >= 0.05)
 18.011  HEAD         Setting stimulus output level, Please Wait...
 18.012  MATH         RefLvl = RefLvl - MEM
 18.013  9640         +Level = [V RefLvl] dBm; Freq = 100 MHz
 18.013  9640         OutputImp = 50 Ohms
 18.014  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 18.015  IEEE2        MKA?[I]
 18.016  ENDW

 18.017  HEAD         AMPLITUDE DISPLAY LINEARITY: -5 dB
 18.018  MATH         Model = "Fluke 9640A"; Mode = "Atten dB 50 Abs"
# 9640A specification at relative attenuation reference level.
 18.019  MATH         RefAcc = ACCV2(Model, Mode, RefLvl, 50E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
 18.020  MATH         RefUnc = (DBTOPCTW_D(RefAcc)) / CONF(Model)
 18.021  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 18.022  IEEE2        MKD
 18.023  MATH         TestLvl = RefLvl - 5
 18.024  9640         Freq = 100 MHz; OutputImp = 50 Ohms
 18.024  9640         +Level = [V TestLvl] dBm
# Normalized 9640A uncertainty at relative attenuation test level.
 18.025  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
 18.026  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
# Linearized, normalized UUT specification for Marker Readout Resolution.
 18.027  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
# Combined, expanded linear uncertainty.
 18.028  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
# Convert computed expanded linear uncertainty back to -dB (larger value).
 18.029  MATH         L[1] = PCTTODBW_D(TotalUnc)
 18.030  ACC          -5.00dB        L1U
 18.031  TARGET       -m
 18.032  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 18.033  IEEE2        MKA?[I]
 18.034  MEMCX  80    -5.00dB        0.40U

 19.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -10 dB
 19.002  MATH         TestLvl = RefLvl - 10
 19.003  9640         OutputImp = 50 Ohms
 19.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 19.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 19.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 19.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 19.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 19.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 19.009  ACC          -10.00dB       L1U
 19.010  TARGET       -m
 19.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 19.012  IEEE2        MKA?[I]
 19.013  MEMCX  80    -10.00dB       0.40U

 20.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -15 dB
 20.002  MATH         TestLvl = RefLvl - 15
 20.003  9640         OutputImp = 50 Ohms
 20.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 20.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 20.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 20.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 20.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 20.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 20.009  ACC          -15.00dB       L1U
 20.010  TARGET       -m
 20.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 20.012  IEEE2        MKA?[I]
 20.013  MEMCX  80    -15.00dB       0.40U

 21.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -20 dB
 21.002  MATH         TestLvl = RefLvl - 20
 21.003  9640         OutputImp = 50 Ohms
 21.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 21.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 21.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 21.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 21.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 21.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 21.009  ACC          -20.00dB       L1U
 21.010  TARGET       -m
 21.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 21.012  IEEE2        MKA?[I]
 21.013  MEMCX  80    -20.00dB       0.40U

 22.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -25 dB
 22.002  MATH         TestLvl = RefLvl - 25
 22.003  9640         OutputImp = 50 Ohms
 22.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 22.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 22.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 22.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 22.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 22.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 22.009  ACC          -25.00dB       L1U
 22.010  TARGET       -m
 22.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 22.012  IEEE2        MKA?[I]
 22.013  MEMCX  80    -25.00dB       1.00U

 23.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -30 dB
 23.002  MATH         TestLvl = RefLvl - 30
 23.003  9640         OutputImp = 50 Ohms
 23.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 23.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 23.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 23.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 23.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 23.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 23.009  ACC          -30.00dB       L1U
 23.010  TARGET       -m
 23.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 23.012  IEEE2        MKA?[I]
 23.013  MEMCX  80    -30.00dB       1.00U

 24.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -35 dB
 24.002  MATH         TestLvl = RefLvl - 35
 24.003  9640         OutputImp = 50 Ohms
 24.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 24.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 24.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 24.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 24.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 24.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 24.009  ACC          -35.00dB       L1U
 24.010  TARGET       -m
 24.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 24.012  IEEE2        MKA?[I]
 24.013  MEMCX  80    -35.00dB       1.00U

 25.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -40 dB
 25.002  MATH         TestLvl = RefLvl - 40
 25.003  9640         OutputImp = 50 Ohms
 25.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 25.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 25.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 25.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 25.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 25.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 25.009  ACC          -40.00dB       L1U
 25.010  TARGET       -m
 25.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 25.012  IEEE2        MKA?[I]
 25.013  MEMCX  80    -40.00dB       1.00U

 26.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -45 dB
 26.002  MATH         TestLvl = RefLvl - 45
 26.003  9640         OutputImp = 50 Ohms
 26.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 26.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 26.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 26.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 26.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 26.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 26.009  ACC          -45.00dB       L1U
 26.010  TARGET       -m
 26.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 26.012  IEEE2        MKA?[I]
 26.013  MEMCX  80    -45.00dB       1.00U

 27.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -50 dB
 27.002  MATH         TestLvl = RefLvl - 50
 27.003  9640         OutputImp = 50 Ohms
 27.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 27.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 27.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 27.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 27.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 27.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 27.009  ACC          -50.00dB       L1U
 27.010  TARGET       -m
 27.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 27.012  IEEE2        MKA?[I]
 27.013  MEMCX  80    -50.00dB       1.00U

 28.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -55 dB
 28.002  MATH         TestLvl = RefLvl - 55
 28.003  9640         OutputImp = 50 Ohms
 28.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 28.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 28.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 28.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 28.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 28.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 28.009  ACC          -55.00dB       L1U
 28.010  TARGET       -m
 28.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 28.012  IEEE2        MKA?[I]
 28.013  MEMCX  80    -55.00dB       1.00U

 29.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -60 dB
 29.002  MATH         TestLvl = RefLvl - 60
 29.003  9640         OutputImp = 50 Ohms
 29.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 29.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 29.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 29.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 29.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 29.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 29.009  ACC          -60.00dB       L1U
 29.010  TARGET       -m
 29.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 29.012  IEEE2        MKA?[I]
 29.013  MEMCX  80    -60.00dB       1.00U

 30.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -65 dB
 30.002  MATH         TestLvl = RefLvl - 65
 30.003  9640         OutputImp = 50 Ohms
 30.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 30.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 30.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 30.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 30.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 30.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 30.009  ACC          -65.00dB       L1U
 30.010  TARGET       -m
 30.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 30.012  IEEE2        MKA?[I]
 30.013  MEMCX  80    -65.00dB       1.00U

 31.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -70 dB
 31.002  MATH         TestLvl = RefLvl - 70
 31.003  9640         OutputImp = 50 Ohms
 31.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 31.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 31.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 31.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 31.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 31.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 31.009  ACC          -70.00dB       L1U
 31.010  TARGET       -m
 31.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 31.012  IEEE2        MKA?[I]
 31.013  MEMCX  80    -70.00dB       1.00U

 32.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -75 dB
 32.002  MATH         TestLvl = RefLvl - 75
 32.003  9640         OutputImp = 50 Ohms
 32.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 32.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 32.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 32.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 32.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 32.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 32.009  ACC          -75.00dB       L1U
 32.010  TARGET       -m
 32.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 32.012  IEEE2        MKA?[I]
 32.013  MEMCX  80    -75.00dB       1.50U

 33.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -80 dB
 33.002  MATH         TestLvl = RefLvl - 80
 33.003  9640         OutputImp = 50 Ohms
 33.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 33.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 33.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 33.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 33.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 33.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 33.009  ACC          -80.00dB       L1U
 33.010  TARGET       -m
 33.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 33.012  IEEE2        MKA?[I]
 33.013  MEMCX  80    -80.00dB       1.50U

 34.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -85 dB
 34.002  MATH         TestLvl = RefLvl - 85
 34.003  9640         OutputImp = 50 Ohms
 34.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 34.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 34.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 34.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 34.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 34.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 34.009  ACC          -85.00dB       L1U
 34.010  TARGET       -m
 34.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 34.012  IEEE2        MKA?[I]
 34.013  MEMCX  80    -85.00dB       1.50U

 35.001  HEAD         AMPLITUDE DISPLAY LINEARITY: -90 dB
 35.002  MATH         TestLvl = RefLvl - 90
 35.003  9640         OutputImp = 50 Ohms
 35.003  9640         +Level = [V TestLvl] dBm; Freq = 100 MHz
 35.004  MATH         TestAcc = ACCV2(Model, Mode, TestLvl, 100E+6)
 35.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 35.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 35.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 35.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 35.009  ACC          -90.00dB       L1U
 35.010  TARGET       -m
 35.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 35.012  IEEE2        MKA?[I]
 35.013  MEMCX  80    -90.00dB       2.50U

 36.001  9640         Reset
 36.002  IEEE2        *RST
 36.003  END

 36.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS266xC (1 yr) RBW Switching VER /9640 ================

 37.001  LABEL        RBW_SWITCHING

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 37.002  RSLT         =
 37.003  HEAD         {RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY}
#26.004  IEEE2        IP
# CAL ALL.
#26.005  IEEE2        [T240000]CAL 0
 37.004  9640         +Freq = 100 MHz Level = 0 dBm OutputImp = 50 Ohms
 37.004  9640         RefFreqOutp = 10 MHz
 37.005  IEEE2        IP;SNGLS;CF 100MHZ;SP 10MHZ;RL 0DBM
 37.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 37.007  IEEE2        MKTRACK ON;SP 15KHZ;RB 3KHZ
 37.008  CALL         Sub Anritsu MS266x() Take Sweep (MKPK, MKCF)
 37.009  IEEE2        MKA?[I]
# Initial 9640A amplitude setting.
 37.010  MATH         RefLvl = 0

 37.011  WHILE        (MEM <= -0.05) || (MEM >= 0.05)
 37.012  HEAD         Setting stimulus output level, Please Wait...
 37.013  MATH         RefLvl = RefLvl - MEM
 37.014  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 37.014  9640         OutputImp = 50 Ohms; RefFreqOutp = 10 MHz
 37.015  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 37.016  IEEE2        MKA?[I]
 37.017  ENDW

# Turn on UUT delta marker.
 37.018  IEEE2        MKD

 37.019  HEAD         RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY: 1 kHz
 37.020  TSET         TDESC = 1 kHz
 37.021  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 37.021  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 37.022  IEEE2        RB 1KHZ;SP 5KHZ
 37.023  TARGET       -m
 37.024  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 37.025  IEEE2        MKA?[I]
 37.026  MEMCX        0.00dB         0.30U

 38.001  HEAD         RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY: 10 kHz
 38.002  TSET         TDESC = 10 kHz
 38.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 38.003  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 38.004  IEEE2        RB 10KHZ;SP 50KHZ
 38.005  TARGET       -m
 38.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 38.007  IEEE2        MKA?[I]
 38.008  MEMCX        0.00dB         0.30U

 39.001  HEAD         RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY: 30 kHz
 39.002  TSET         TDESC = 30 kHz
 39.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 39.003  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 39.004  IEEE2        RB 30KHZ;SP 150KHZ
 39.005  TARGET       -m
 39.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 39.007  IEEE2        MKA?[I]
 39.008  MEMCX        0.00dB         0.30U

 40.001  HEAD         RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY: 100 kHz
 40.002  TSET         TDESC = 100 kHz
 40.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 40.003  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 40.004  IEEE2        RB 100KHZ;SP 500KHZ
 40.005  TARGET       -m
 40.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 40.007  IEEE2        MKA?[I]
 40.008  MEMCX        0.00dB         0.30U

 41.001  HEAD         RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY: 300 kHz
 41.002  TSET         TDESC = 300 kHz
 41.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 41.003  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 41.004  IEEE2        RB 300KHZ;SP 1.5MHZ
 41.005  TARGET       -m
 41.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 41.007  IEEE2        MKA?[I]
 41.008  MEMCX        0.00dB         0.30U

 42.001  HEAD         RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY: 1 MHz
 42.002  TSET         TDESC = 1 MHz
 42.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 42.003  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 42.004  IEEE2        RB 1MHZ;SP 5MHZ
 42.005  TARGET       -m
 42.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 42.007  IEEE2        MKA?[I]
 42.008  MEMCX        0.00dB         0.30U

 43.001  HEAD         RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY: 3 MHz
 43.002  TSET         TDESC = 3 MHz
 43.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 43.003  9640         +Freq = 100 MHz; Level = [V RefLvl] dBm
 43.004  IEEE2        RB 3MHZ;SP 10MHZ
 43.005  TARGET       -m
 43.006  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 43.007  IEEE2        MKA?[I]
 43.008  MEMCX        0.00dB         0.40U

 44.001  9640         Reset
 44.002  IEEE2        *RST
 44.003  END

 44.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS266xC (1 yr) RF Switching VER /9640 =================

 45.001  LABEL        RF_SWITCHING

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 45.002  RSLT         =
 45.003  HEAD         {INPUT ATTENUATOR (RF ATT) SWITCHING UNCERTAINTY}
 45.004  RSLT         =(Relative to 10 dB RF Attenuation)
#37.005  IEEE2        IP
# CAL ALL.
#37.006  IEEE2        [T240000]CAL 0
 45.005  TARGET       -p
 45.006  IEEE2        IP;SNGLS;CF 100MHZ;SP 10MHZ;RL -50DBM;AT 10DB
 45.007  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 45.007  9640         +Freq = 100 MHz; Level = -50 dBm
 45.008  MATH         Model = "Fluke 9640A"; Mode = "Atten dB 50 Abs"
# 9640A specification at relative attenuation reference level.
 45.009  MATH         RefAcc = ACCV2(Model, Mode, -50, 100E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
 45.010  MATH         RefUnc = (DBTOPCTW_D(RefAcc)) / CONF(Model)
 45.011  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 45.012  IEEE2        MKTRACK ON;SP 200KHZ
 45.013  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 45.014  IEEE2        MKTRACK OFF
# Read displayed UUT marker amplitude.
 45.015  IEEE2        MKA?[I]
# Store error at 10 dB of RF attenuation (UUT specification reference).
 45.016  MATH         RefLvlError = MEM - (-50)

 45.017  HEAD         INPUT ATTENUATOR (RF ATT) SWITCHING UNCERTAINTY: 0 dB
 45.018  TSET         TDESC = 0 dB
 45.019  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 45.019  9640         +Freq = 100 MHz; Level = -60 dBm
# Normalized 9640A uncertainty at relative attenuation test level.
 45.020  MATH         TestAcc = ACCV2(Model, Mode, -60, 100E+6)
# Linearized, normalized 9640A uncertainty at attenuation reference level.
 45.021  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
# Linearized, normalized UUT specification for Marker Readout Resolution.
 45.022  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
# Combined, expanded linear uncertainty.
 45.023  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
# Convert computed expanded linear uncertainty back to -dB (larger value).
 45.024  MATH         L[1] = PCTTODBW_D(TotalUnc)
 45.025  ACC          0.00dB         L1U
 45.026  IEEE2        RL -60DBM
 45.027  TARGET       -m
 45.028  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 45.029  IEEE2        MKA?[I]
 45.030  MATH         MEM = (MEM - RefLvlError) + 60
 45.031  MEMCX  50    0.00dB         0.30U

 46.001  HEAD         INPUT ATTENUATOR (RF ATT) SWITCHING UNCERTAINTY: 20 dB
 46.002  TSET         TDESC = 20 dB
 46.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 46.003  9640         +Freq = 100 MHz; Level = -40 dBm
 46.004  MATH         TestAcc = ACCV2(Model, Mode, -40, 100E+6)
 46.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 46.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 46.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 46.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 46.009  ACC          20.00dB        L1U
 46.010  IEEE2        RL -40DBM
 46.011  TARGET       -m
 46.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 46.013  IEEE2        MKA?[I]
 46.014  MATH         MEM = (MEM - RefLvlError) + 60
 46.015  MEMCX  50    20.00dB        0.30U

 47.001  HEAD         INPUT ATTENUATOR (RF ATT) SWITCHING UNCERTAINTY: 30 dB
 47.002  TSET         TDESC = 30 dB
 47.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 47.003  9640         +Freq = 100 MHz; Level = -30 dBm
 47.004  MATH         TestAcc = ACCV2(Model, Mode, -30, 100E+6)
 47.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 47.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 47.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 47.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 47.009  ACC          30.00dB        L1U
 47.010  IEEE2        RL -30DBM
 47.011  TARGET       -m
 47.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 47.013  IEEE2        MKA?[I]
 47.014  MATH         MEM = (MEM - RefLvlError) + 60
 47.015  MEMCX  50    30.00dB        0.30U

 48.001  HEAD         INPUT ATTENUATOR (RF ATT) SWITCHING UNCERTAINTY: 40 dB
 48.002  TSET         TDESC = 40 dB
 48.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 48.003  9640         +Freq = 100 MHz; Level = -20 dBm
 48.004  MATH         TestAcc = ACCV2(Model, Mode, -20, 100E+6)
 48.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 48.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 48.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 48.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 48.009  ACC          40.00dB        L1U
 48.010  IEEE2        RL -20DBM
 48.011  TARGET       -m
 48.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 48.013  IEEE2        MKA?[I]
 48.014  MATH         MEM = (MEM - RefLvlError) + 60
 48.015  MEMCX  50    40.00dB        0.30U

 49.001  HEAD         INPUT ATTENUATOR (RF ATT) SWITCHING UNCERTAINTY: 50 dB
 49.002  TSET         TDESC = 50 dB
 49.003  9640         RefFreqOutp = 10 MHz; OutputImp = 50 Ohms
 49.003  9640         +Freq = 100 MHz; Level = -10 dBm
 49.004  MATH         TestAcc = ACCV2(Model, Mode, -10, 100E+6)
 49.005  MATH         TestUnc = (DBTOPCTW_D(TestAcc)) / CONF(Model)
 49.006  MATH         UUT = (DBTOPCTW_D(0.05)) / SQRT(3)
 49.007  MATH         TotalUnc = (RSS3(RefUnc, TestUnc, UUT)) * 2
 49.008  MATH         L[1] = PCTTODBW_D(TotalUnc)
 49.009  ACC          50.00dB        L1U
 49.010  IEEE2        RL -10DBM
 49.011  TARGET       -m
 49.012  CALL         Sub Anritsu MS266x() Take Sweep (MKPK)
 49.013  IEEE2        MKA?[I]
 49.014  MATH         MEM = (MEM - RefLvlError) + 60
 49.015  MEMCX  50    50.00dB        0.30U

 50.001  9640         Reset
 50.002  IEEE2        *RST
 50.003  END

 50.004  EVAL   Increment Test Number

# ====== Sub Anritsu MS2661C (1 yr) Sweep Time VER /9640 ===================

 51.001  LABEL        SWEEP_TIME

# It is assumed that the 9640A (50 Ohm) Leveling Head is already connected to
# the UUT...

 51.002  RSLT         =
 51.003  HEAD         {SWEEP TIME AND TIME SPAN ACCURACY}
 51.004  RSLT         =
 51.005  RSLT         =Sweep Time
#43.006  IEEE2        IP
# CAL ALL.
#43.007  IEEE2        [T240000]CAL 0
 51.006  TSET         NTHROW = 0; NMEAS = 1
 51.007  TARGET       -p
 51.008  HEAD         SWEEP TIME ACCURACY: 50 msec
 51.009  ASK-         N
 51.010  IEEE2        IP;CF 100MHZ;SP 50KHZ;ST 50MS;RB 1MHZ;VB 1MHZ
 51.011  MESS         Edit stimulus until the waveform peaks coincide with
 51.011  MESS         the UUT vertical graticule lines, adjusting the UUT
 51.011  MESS         Trigger Level as necessary.
 51.011  MESS
 51.011  MESS         (It may be necessary to first press the UUT TRIG/GATE
 51.011  MESS         button, followed by the F2 (Trigger Source), F1 (Video),
 51.011  MESS         and F1 (Trig Level), to enable the knob to adjust the
 51.011  MESS         UUT trigger level.)
 51.012  9640         Freq = 100 MHz; Level = -16 dBm; OutputImp = 50 Ohms
 51.012  9640         Mode = AM; AMDepth = 70 %; ModWav = Triangle
 51.012  9640         +ModFreq = 200 Hz
 51.013  IEEE2        MKRL;LN;TRGSOURCE VID;TRGS TRGD;TRGLVL 60[GTL]
 51.014  9640         Freq = 100 MHz; Level = -16 dBm; OutputImp = 50 Ohms
 51.014  9640         Mode = AM; AMDepth = 70 %; ModWav = Triangle
 51.014  9640         +ModFreq = 200 Hz; Slew
# Retrieve (frequency) accuracy data for 9640A.
 51.015  MATH         L[1] = ACCV("Fluke 9640A", "ModFreq", MEM)
 51.016  MATH         L[1] = (1 - ((MEM - L[1]) / MEM)) * 100
# Multiply period by ten as sweep length is ten divisions.
 51.017  MATH         MEM = ((1 / MEM) * 10) / 1E-3
 51.018  ACC          50.0ms         L1%
 51.019  MEMCX        50.0ms         15%

 52.001  HEAD         SWEEP TIME ACCURACY: 200 msec
 52.002  TSET         NTHROW = 0; NMEAS = 1
 52.003  IEEE2        IP;CF 100MHZ;SP 50KHZ;ST 200MS;RB 1MHZ;VB 1MHZ
 52.004  9640         Freq = 100 MHz; Level = -16 dBm; OutputImp = 50 Ohms
 52.004  9640         Mode = AM; AMDepth = 70 %; ModWav = Triangle
 52.004  9640         +ModFreq = 50 Hz
 52.005  IEEE2        MKRL;LN;TRGSOURCE VID;TRGS TRGD;TRGLVL 60[GTL]
 52.006  9640         Freq = 100 MHz; Level = -16 dBm; OutputImp = 50 Ohms
 52.006  9640         Mode = AM; AMDepth = 70 %; ModWav = Triangle
 52.006  9640         +ModFreq = 50 Hz; Slew
 52.007  MATH         L[1] = ACCV("Fluke 9640A", "ModFreq", MEM)
 52.008  MATH         L[1] = (1 - ((MEM - L[1]) / MEM)) * 100
 52.009  MATH         MEM = ((1 / MEM) * 10) / 1E-3
 52.010  ACC          200ms          L1%
 52.011  MEMCX        200ms          15%

 53.001  MESS

 53.002  RSLT         =
 53.003  RSLT         =Time Span
 53.004  HEAD         TIME SPAN ACCURACY: 20 msec
 53.005  TSET         NTHROW = 0; NMEAS = 1
 53.006  TARGET       -p
 53.007  9640         Freq = 100 MHz; Level = -16 dBm; AMDepth = 70 %
 53.007  9640         Mode = AM; +ModFreq = 500 Hz; ModWav = Triangle
 53.007  9640         OutputImp = 50 Ohms
 53.008  IEEE2        IP;CF 100MHZ;SP 0MHZ;ST 20MS;RB 1MHZ;VB 1MHZ
 53.009  IEEE2        LN;TRGSOURCE VID;TRGS TRGD;TRGLVL 60[GTL]
 53.010  TARGET       -m

 53.011  IEEE         [GTL]
 53.012  DISP         On the UUT, press PEAK SEARCH.
 53.012  DISP
 53.012  DISP         Press the UUT NEXT PK LEFT or NEXT PK RIGHT softkey,
 53.012  DISP         as necessary, until the marker is on the left-most
 53.012  DISP         signal peak, nearest the 2nd vertical graticule line.

 53.013  IEEE2        MKD[GTL]

 53.014  DISP         On the UUT, press NEXT PK RIGHT softkey 8 times,
 53.014  DISP         placing the delta marker near the 10th vertical
 53.014  DISP         graticule line.

 53.015  IEEE2        MKF?[I]
# Retrieve ModFreq accuracy (in Hz, base units).
 53.016  MATH         L[1] = ACCV("Fluke 9640A", "ModFreq", 500)
# Convert accuracy in Hz to percent.
 53.017  MATH         L[1] = (1 - ((500 - L[1]) / 500)) * 100
# Convert returned value (in µs) to units of milliseconds over 10 divisions.
 53.018  MATH         MEM = (MEM * 1E-3) / 0.8
 53.019  ACC          20.0ms         L1%
 53.020  MEMCX        20.0ms         15%

 54.001  HEAD         TIME SPAN ACCURACY: 200 msec
 54.002  TSET         NTHROW = 0; NMEAS = 1
 54.003  9640         Freq = 100 MHz; Level = -16 dBm; AMDepth = 70 %
 54.003  9640         Mode = AM; +ModFreq = 50 Hz; ModWav = Triangle
 54.003  9640         OutputImp = 50 Ohms
 54.004  IEEE2        IP;CF 100MHZ;SP 0MHZ;ST 200MS;RB 1MHZ;VB 1MHZ
 54.005  IEEE2        LN;TRGSOURCE VID;TRGS TRGD;TRGLVL 60[GTL]
 54.006  TARGET       -m

 54.007  IEEE         [GTL]
 54.008  DISP         On the UUT, press PEAK SEARCH.
 54.008  DISP
 54.008  DISP         Press the UUT NEXT PK LEFT or NEXT PK RIGHT softkey,
 54.008  DISP         as necessary, until the marker is on the left-most
 54.008  DISP         signal peak, nearest the 2nd vertical graticule line.

 54.009  IEEE2        MKD[GTL]

 54.010  DISP         On the UUT, press NEXT PK RIGHT softkey 8 times,
 54.010  DISP         placing the delta marker near the 10th vertical
 54.010  DISP         graticule line.

 54.011  IEEE2        MKF?[I]
 54.012  MATH         L[1] = ACCV("Fluke 9640A", "ModFreq", 50)
 54.013  MATH         L[1] = (1 - ((50 - L[1]) / 50)) * 100
 54.014  MATH         MEM = (MEM * 1E-3) / 0.8
 54.015  ACC          200ms          L1%
 54.016  MEMCX        200ms          15%

 55.001  9640         Reset
 55.002  IEEE2        *RST
 55.003  END
